package eu.mhsl.minenet.minigames.score;

import eu.mhsl.minenet.minigames.message.TranslatableMessage;
import eu.mhsl.minenet.minigames.message.type.TitleMessage;
import net.minestom.server.entity.Player;

import java.time.Duration;
import java.util.Set;

public class FirstWinsScore extends Score {
    @Override
    public void insertResultImplementation(Set<Player> p) {
        getScores().add(p);
    }

    @Override
    protected TranslatableMessage scoreMessage() {
        return new TitleMessage(Duration.ofMillis(1000), Duration.ofSeconds(1)).appendTranslated("score#finish");
    }
}
